#version 430 core

out vec4 fragColor;

in vec2 texCoords;

layout(binding=0) uniform sampler2D bloomBlur;
layout(binding=1) uniform sampler2D scene;

uniform float exposure;

void main()
{             
    const float gamma = 2.2;
    vec3 color = texture(scene, texCoords).rgb;      
    vec3 bloomColor = texture(bloomBlur, texCoords).rgb;

	color += bloomColor;
	//color = color / (color + vec3(1.0));

	fragColor = vec4(color.rgb, texture(scene, texCoords).a);
	//fragColor = texture(bloomBlur, texCoords);

}  